/*
 * Copyright 2014-2022 Real Logic Limited.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef AERON_UTIL_EXPORT_FILE_H
#define AERON_UTIL_EXPORT_FILE_H

#include "util/Platform.h"

#ifdef AERON_COMPILER_MSVC
#   if defined CLIENT_SHARED
#       if defined DLL_EXPORT
#           define CLIENT_EXPORT __declspec(dllexport)
#       else
#           define CLIENT_EXPORT __declspec(dllimport)
#       endif
#   else
#       define CLIENT_EXPORT
#   endif
#else
#   define CLIENT_EXPORT
#endif

#endif // AERON_UTIL_EXPORT_FILE_H